Package Details: teighaviewer-qt4 4.00.1.0-1

Git Clone URL: https://aur.archlinux.org/teighaviewer-qt4.git (read-only)
Package Base: teighaviewer-qt4
Description: Application for the visualization of CAD drawing files, QT4 version
Upstream URL: https://www.opendesign.com/guestfiles
Licenses: custom
Conflicts: teighaviewer, teighaviewer-qt5
Provides: teighaviewer
Submitter: rafaelff
Maintainer: None
Last Packager: rafaelff
Votes: 2
Popularity: 0.000000
First Submitted: 2014-12-29 03:07
Last Updated: 2016-05-08 14:08

Latest Comments

rafaelff commented on 2014-12-29 03:23

Updated to pkgver 4.00.1.0 and renamed pkgname from 'teighaviewer' to 'teighaviewer-qt4', to differ from its new QT5 version.

Added 'libgl' dependency. Please note there is no 'libgl' package, instead use mesa-libgl, nvidia-libgl, catalyst-libgl... Information also provided in the PKGBUILD.

rafaelff commented on 2014-12-29 03:22

Updated to pkgver 4.00.1.0 and renamed pkgname from 'teighaviewer' to 'teighaviewer-qt4', to differ from its new QT5 version.

Added 'libgl' dependency. Please note there is no 'libgl' package, instead use mesa-libgl, nvidia-libgl, catalyst-libgl... Information also providede in the PKGBUILD.

rafaelff commented on 2014-07-15 16:45

@giagor: Thanks for letting me know. I suggest to simply check the flag out-of-date button next time. :)

Package updated.

giagor commented on 2014-07-15 07:50

Hi, new version available, can you update it? thanks

cyberesprit commented on 2014-01-26 17:38

@josephgbr: It's okay ! Thanks !

rafaelff commented on 2014-01-26 16:40

@cyberesprit: I was not able to reproduce the error, but I notice a new release and therefore I updated it. Can you update this package and try again?

cyberesprit commented on 2014-01-25 11:26

Hi, I've this issue :

terminate called after throwing an instance of 'OdError_FileNotFound'
./TeighaViewer : ligne 4 : 2615 Abandon (core dumped)./TeighaViewer_3.09.1/TeighaViewer $1 $2 $3 $4 $5 $6 $7 $8 $9

My arch :
Linux (none) 3.12.7-2-ARCH #1 SMP PREEMPT Sun Jan 12 13:09:09 CET 2014 x86_64 GNU/Linux

I have already installed :
bash
hicolor-icon-theme
lib32-glu
lib32-mesa
lib32-qt4
multilib/lib32-nvidia-utils
multilib/lib32-nvidia-libgl
multilib/lib32-nvidia-cg-toolkit

Any solutions ? Thanks !

Anonymous comment on 2013-04-11 08:36

New version 3.08.2 available. Filename has changed.

Download: http://www.opendesign.com/files/guestdownloads/TeighaViewer/TeighaViewer_lnxX86_4.4dll_3.08.2_i386.deb

Checksum: 0ce0f170084d85cb5f87ca0895f7709f

rafaelff commented on 2013-01-28 00:15

This "ACAD DIALOG" will open a dialog that you can set the SHX fonts (at least, that what is happening to me). If you're using 64-bit Arch, did you try installing 32-bit version of the drivers for your gfx card? e.g. lib32-nvidia, if you use the 'nvidia' proprietary driver from official repos.

zenlord commented on 2013-01-27 22:16

Thank you for updating.

I get a warning however when opening a .dwg, right before crashing the app. The warning is telling me to execute 'ACAD DIALOG' in a console to define the environment variable ACAD with paths to my SHX fonts. I tried exporting the acad variable with different characters capitalized, but that didn't work...

All comments